Node('dil2.stick.sea.psi.ch',
     'dilution insert',
)

Mod('sea_stick',
    'frappy_psi.sea.SeaClient',
    'stick sea connection for dil2.stick',
    config='dil2.stick',
    service='stick',
)

Mod('ts',
    'frappy_psi.sea.SeaDrivable', '',
    meaning=['temperature', 30],
    io='sea_stick',
    sea_object='ts',
)

Mod('treg',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_stick',
    sea_object='treg',
)

Mod('tmon',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_stick',
    sea_object='tmon',
)

Mod('T_oneK',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_stick',
    sea_object='tmon',
    rel_paths=['onek'],
)

Mod('T_still',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_stick',
    sea_object='tmon',
    rel_paths=['stillt'],
)

Mod('T_sample',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_stick',
    sea_object='treg',
    rel_paths=['sample'],
)

Mod('T_samplehtr',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_stick',
    sea_object='treg',
    rel_paths=['samplehtr'],
)

Mod('T_mix',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_stick',
    sea_object='treg',
    rel_paths=['mix'],
)

Mod('dil',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_stick',
    sea_object='dil',
)

Mod('T_sorb',
    'frappy_psi.sea.SeaDrivable', '',
    io='sea_stick',
    sea_object='sorb',
)
